Skip to main content
GET
/
organizations
/
{organization_name}
/
files
List all files
curl --request GET \
  --url https://storage-api.salad.com/organizations/{organization_name}/files \
  --header 'Salad-Api-Key: <api-key>'
import requests

url = "https://storage-api.salad.com/organizations/{organization_name}/files"

headers = {"Salad-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};

fetch('https://storage-api.salad.com/organizations/{organization_name}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "files": [
    {
      "url": "<string>",
      "mimeType": "<string>",
      "size": 123,
      "uploaded": "2023-11-07T05:31:56Z"
    }
  ]
}
Last Updated: October 04, 2024

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Response

200 - application/json

List of files retrieved successfully

files
object[]